Name:      easy-rsa
Version:   3.1.7
Release:    1%{?dist}

Summary:   Simple shell based CA utility
License:   GPL-2.0-only

URL:       https://github.com/OpenVPN/easy-rsa
Source0:   %{url}/releases/download/v%{version}/EasyRSA-%{version}.tgz

Requires:  openssl
BuildArch: noarch


%description
This is a small RSA key management package, based on the openssl
command line tool, that can be found in the easy-rsa subdirectory
of the OpenVPN distribution. While this tool is primary concerned
with key management for the SSL VPN application space, it can also
be used for building web certificates.


%prep
%autosetup -n EasyRSA-%{version} -p1


%build


%install
mkdir -p %{buildroot}%{_datadir}/easy-rsa/%{version}/
(
cd %{buildroot}%{_datadir}/easy-rsa
ln -s %{version} 3.0
ln -s %{version} 3
)
cp -rp easyrsa %{buildroot}%{_datadir}/easy-rsa/%{version}/
cp -rp openssl-easyrsa.cnf %{buildroot}%{_datadir}/easy-rsa/%{version}/
cp -rp x509-types %{buildroot}%{_datadir}/easy-rsa/%{version}/


%files
%doc ChangeLog *.md vars.example
%license gpl-2.0.txt COPYING.md
%{_datadir}/easy-rsa/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.7-1
- initial build
